<?
$pwdchar = "qwertyuiopasdfghjklmnbvcxzQWERTYUIOPASDFGHJKLMNBVCXZ1234567890";

for ($m = 0; $m < strlen($login); $m++) {
 for ($i = 0; $i < strlen($serv_const_nchar); $i++) {
  if (strtolower($login[$m]) == $serv_const_nchar[$i]) {
   $xs = $serv_const_nchar[$i];
   echo "<script> alert('В поле <Регистрационное имя (псевдоним)> недопустимый символ <$xs>'); history.back(); </script>";
   exit;
  }
 }
}

$ar = explode("^", $serv_const_names);
for ($m = 0; $m < count($ar); $m++) {
 If ($ar[$m] == strtolower($login)) {
  echo "<script> alert('Такой псевдоним нельзя выбирать!'); history.back(); </script>";
  exit;
 }
}

$login = strtolower($login);

If (file_exists("users/$login") == true) {
 echo "<script> alert('Такой пользователь уже существует! Выберите другой логин!'); history.back(); </script>";
 exit;
}

$mpwd = "";
for ($g = 0; $g < 9; $g++) {
 srand((double)microtime()*10000000);
 $r = rand(0,strlen($pwdchar)-1);
 $mpwd .= $pwdchar[$r];
}

$orgname = htmlspecialchars(stripslashes($orgname));
$city = htmlspecialchars(stripslashes($city));
$url = htmlspecialchars(stripslashes($url));
$fio = htmlspecialchars(stripslashes($fio));
$phone = htmlspecialchars(stripslashes($phone));
$email = htmlspecialchars(stripslashes($email));
$wmid = htmlspecialchars(stripslashes($wmid));
$wmz = htmlspecialchars(stripslashes($wmz));

$fr = fopen("users/$login", "w");
fwrite($fr, "$pass\n");		//0 пароль пользователя
fwrite($fr, "$orgname\n");	//1 название организации
fwrite($fr, "$city\n");		//2 место проживания
fwrite($fr, "$url\n");		//3 url
fwrite($fr, "$fio\n");		//4 Ф.И.О.
fwrite($fr, "$phone\n");	//5 телефон
fwrite($fr, "$email\n");	//6 e-mail адрес
fwrite($fr, "$wmid\n");		//7 wm идентификатор
fwrite($fr, "$wmz\n");		//8 z-кошель
fwrite($fr, "0.00\n");		//9 денег на счету
fwrite($fr, "0\n");		//10 тип аттестата: 0-не проверен/аттестата нет/аттестат ниже персонального; 1-персональный аттестат!!!
fwrite($fr, "1\n");		//11 статус: 1-обычный статус; 0-без права продажи и изменения данных (блокировка); 2-VIP; 3-счет блокирован
fwrite($fr, "0.03\n");		//12 процент комиссии (только для VIP пользователей)
fwrite($fr, "0\n");		//13 уведомления по e-mail:0-выкл, 1-вкл.
//fwrite($fr, md5($mpwd . $wmid . $wmz . "0.00" . "0" . "1"));
fclose($fr);

$fmn = fopen("mail/$login", "w");
fwrite($fmn, "0^admin^при регистрации^<b>Добро пожаловать!</b><br><br>Вы успешно зарегистрированы. По всем интересующим Вас вопросам обращайтесь ко мне, т.е. к администратору (admin) по внутренней почте. Не нарушайте правила нашего сервиса дабы избежать неприятностей, а в худшем случае блокировки. Если Вы заметили за каким-либо пользователем нарушение правил сервиса, обман покупателей и т.п., просьба сообщить мне. В случае, если это будет крупное нарушение Вы получите денежную премию!<br><br><a href='#' class='cap2' onClick=toadd('admin');><b>С уважением, Администратор (admin)</b></a>\n");
fclose($fmn);

$fmn = fopen("mail/admin", "a");
fwrite($fmn, "0^register_form^при регистрации^Зарегистрировался новый пользователь <b>$login</b>\n");
fclose($fmn);

mail("$email", "ShopWM Registration", "Для доступа к вашему счету используйте:\n\n логин: $login \n пароль: $pass \n http://shopwm.ru/enter.phtml \n\n Всего вам хорошего ! ", "From:reg_notify@$serv_const_servname\n\n");


?>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td width="100%" bgcolor="#F0F0F0"><p><b>&gt;&gt; Регистрация >> Завершение регистрации</b></p></td>
  </tr>
</table>

<p>&nbsp;</p>
<p><b>Поздравляем! Регистрация прошла успешно!</b></p>
<p>Ваши данные для доступа высланы Вам на Email
указанный при регистрации!</p>
<p>Для входа в систему нажмите <a href="enter.php">сюда</a>
и введите логин (указанный при регистрации)
и пароль высланный на Ваш Email</p>